CREATE TABLE grc_udap_access_xref (
    UDAP_ID              NUMBER(18, 0),
    ACCESS_ID            NUMBER(18, 0),
    ACCESS_TYPE_ID       NUMBER(18, 0),
    ORDER_SEQ            NUMBER(18, 0),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    UDAP_ID              NUMBER(18, 0),
    ACCESS_ID            NUMBER(18, 0),
    ACCESS_TYPE_ID       NUMBER(18, 0),
    ORDER_SEQ            NUMBER(18, 0),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    CONSTRAINT pk_grc_udap_access_xref PRIMARY KEY (UDAP_ID, ACCESS_ID, UDAP_ID, ACCESS_ID)
);
